module Ghost where

import Graphics.Gloss
import Pacman

-- | Cor do fantasma
ghostColor :: Color
ghostColor = rose

-- | Tamanho do Ghost
ghostRadius :: Float
ghostRadius = 20

-- | Imagem do fantasma
mkGhost :: Position -> Picture
mkGhost (x, y) = pictures [
                translate x y
                $ color ghostColor 
                $ circleSolid ghostRadius,
                translate (x-6) (y+5) 
                $ color white
                $ circleSolid 5,
                translate (x+6) (y+5)
                $ color white
                $ circleSolid 5,
                translate (x-4) (y+4)
                $ color black
                $ circleSolid 3,
                translate (x+4) (y+4)
                $ color black
                $ circleSolid 3,
                translate x (y-6)
                $ color black
                $ circleSolid 4]

-- | Atualiza  a posição do fantasma
moveGhost :: Float -> Position -> Position -> Position
moveGhost seconds (x, y) (vx, vy) = (x', y')
    where x' = x + vx * seconds
          y' = y + vy * seconds